package com.dragoninfo.dcuc.auth.auth.facade;

import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 权限申请api
 *
 * @author mazq
 * @date 2021/7/8
 */
@FeignClient(name = "dcuc-auth", path = "/dcuc/auth/selfAuthApplyFacade")
public interface IAuthApplyActionFacade {

    /**
     * 通用
     * 工单挂起
     */
    @GetMapping("authApplySuspend")
    ResponseStatus authApplySuspend(@RequestParam("applyOrdNo") String applyOrdNo);

    /**
     * 通用
     * 工单激活
     */
    @GetMapping("authApplyActivate")
    ResponseStatus authApplyActivate(@RequestParam("applyOrdNo") String applyOrdNo);

    /**
     * 通用
     * 工单终止
     */
    @GetMapping("authApplyStop")
    ResponseStatus authApplyStop(@RequestParam("applyOrdNo") String applyOrdNo);
}
