package com.dragoninfo.dcuc.authweb;

import com.dragonsoft.duceap.core.autoconfigurer.BaseDAOAutoConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication(scanBasePackages = {"com.dragonsoft.*", "com.dragoninfo.*"}, exclude = BaseDAOAutoConfiguration.class)
@EnableDiscoveryClient
@EnableFeignClients(basePackages = {"com.dragonsoft", "com.dragoninfo.*"})
@EntityScan({"com.dragonsoft.*", "com.dragoninfo.*"})
public class DcucAuthWebApplication extends SpringBootServletInitializer {

    public static void main(String[] args) {
        SpringApplication.run(DcucAuthWebApplication.class, args);
    }

}