package com.dragoninfo.dcuc.authweb.business.impl;

import com.dragoninfo.dcuc.auth.admin.facade.*;
import com.dragoninfo.dcuc.authweb.common.SysConstants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 管理范围
 *
 * @author Administrator
 * @date 2019/3/21
 */
@Component
public class MtAuthBusiness {

    @Autowired
    private IAppMtAuthFacade appMtAuthFacade;
    @Autowired
    private ITempMtAuthFacade tempMtAuthFacade;


    /**
     * 获取用户各类型管理范围
     *
     * @param userId 用户ID
     * @param type   类型
     * @return 管理范围
     */
    public String getMtAuth(String userId, String type) {
         if (SysConstants.MT_APP.equals(type)) {
            return appMtAuthFacade.mgeAppRightRangeStr(userId);
        } else if (SysConstants.MT_TEMP.equals(type)) {
            return tempMtAuthFacade.mgeTempRightRangeStr(userId);
        } else {
            return "";
        }
    }
}
