package com.dragoninfo.dcuc.authweb.interceptor;

import com.dragoninfo.dcuc.common.Constants;
import com.dragonsoft.duceap.commons.util.ip.IpUtils;
import feign.RequestInterceptor;
import feign.RequestTemplate;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.net.InetAddress;

/**
 * 添加调用到后端的请求头
 * @author mazq
 * @date 2021/7/29
 */
@Slf4j
public class FeignHeadInterceptor implements RequestInterceptor {
    @Override
    public void apply(RequestTemplate template) {
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        if(attributes!=null) {
            HttpServletRequest request = attributes.getRequest();
            String ipAddr = IpUtils.getRealIpAdrress(request);
            template.header(Constants.REAL_IP_ADDRESS_KEY, ipAddr);
        }
    }
}
