package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.controller;


import com.dragoninfo.dcuc.auth.api.enums.zerotrust.ZeroTrustBusinessRespEnum;
import com.dragoninfo.dcuc.auth.token.vo.TokenReceiveVO;
import com.dragoninfo.dcuc.auth.api.vo.zerotrust.ZeroTrustMessageRespVO;
import com.dragoninfo.dcuc.auth.token.facade.IAuthTokenFacade;
import com.dragonsoft.duceap.commons.util.json.JsonUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.Collections;
import java.util.List;

/**
 * @author mazq
 * @date 2023/3/8
 */
@Slf4j
@RestController
@RequestMapping("api/auth-service/v1/token")
public class TokenController {

    @Autowired
    private IAuthTokenFacade authTokenFacade;

    @RequestMapping("receive")
    public ZeroTrustMessageRespVO tokenReceive(@Valid @RequestBody TokenReceiveVO tokenReceiveVO) {
        log.info("权限接收到令牌操作 :{}", JsonUtils.toJSONString(tokenReceiveVO));
        authTokenFacade.tokenReceive(Collections.singletonList(tokenReceiveVO));
        return ZeroTrustMessageRespVO.messageEnumMessage(ZeroTrustBusinessRespEnum.SUCCESS);
    }

}
