package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.controller.zerotrust;

import com.dragoninfo.dcuc.auth.api.vo.zerotrust.ZeroTrustDataRespVO;
import com.dragoninfo.dcuc.auth.api.vo.zerotrust.ZeroTrustMessageRespVO;
import com.dragoninfo.dcuc.auth.api.vo.zerotrust.authapply.ApiRoleAuthReqVo;
import com.dragoninfo.dcuc.auth.api.vo.zerotrust.authapply.ApiServiceAuthReqVo;
import com.dragoninfo.dcuc.auth.api.vo.zerotrust.authapply.AuthApplyRespVo;
import com.dragoninfo.dcuc.auth.api.vo.zerotrust.role.ApiAppRoleRespVo;
import com.dragoninfo.dcuc.auth.api.vo.zerotrust.role.ApiRolesReqVo;
import com.dragoninfo.dcuc.auth.auth.api.IZeroTrustAuthApplyFacade;
import com.dragoninfo.dcuc.auth.auth.api.IZeroTrustAuthFacade;
import com.dragoninfo.dcuc.auth.auth.vo.zerotrust.approval.ApprovalCallBackReqVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * @author mazq
 * @date 2023/11/22
 */
@RestController
@RequestMapping("api/auth-service/v1/")
public class AuthApplyApiController {

    @Autowired
    private IZeroTrustAuthApplyFacade zeroTrustAuthApplyFacade;

    @ApiOperation(value = "角色授权申请列表")
    @PostMapping("/roles/search")
    public ZeroTrustDataRespVO<List<ApiAppRoleRespVo>> appRoleInfos(@Valid @RequestBody ApiRolesReqVo reqVo) {
        return zeroTrustAuthApplyFacade.appRoleInfos(reqVo);
    }

    @ApiOperation(value = "角色授权申请")
    @PostMapping("auth-apply/roles")
    public ZeroTrustDataRespVO<AuthApplyRespVo> roleAuthApply(@Valid @RequestBody ApiRoleAuthReqVo reqVo) {
        return zeroTrustAuthApplyFacade.roleAuthApply(reqVo);
    }

    @ApiOperation(value = "服务授权申请")
    @PostMapping("auth-apply/services")
    public ZeroTrustDataRespVO<AuthApplyRespVo> serviceAuthApply(@Valid @RequestBody ApiServiceAuthReqVo reqVo) {
        return zeroTrustAuthApplyFacade.serviceAuthApply(reqVo);
    }

    @ApiOperation(value = "审批结果回调")
    @PostMapping("approval/call-back")
    public ZeroTrustMessageRespVO approvalCallBack(@Valid @RequestBody ApprovalCallBackReqVO approvalCallBackReqVO) {
        return zeroTrustAuthApplyFacade.callBack(approvalCallBackReqVO);
    }

}
