package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.vo;

import com.dragoninfo.dcuc.auth.auth.dto.AppDataSensitiveLevelDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 应用数据
 *
 * @author huangzqa
 * @date 2020/7/9
 */
@ApiModel(value = "应用级鉴权返回")
@Data
public class AppAuthRespVO {

    /**
     * 应用代码
     */
    @ApiModelProperty(value = "应用代码")
    private String appCode;

    /**
     * 应用 URL
     */
    @ApiModelProperty(value = "应用URL")
    private String appUrl;

    /**
     * 解析
     *
     * @param appDataSensitiveLevelDTO DTO
     * @return VO
     */
    public static AppAuthRespVO parseDto(AppDataSensitiveLevelDTO appDataSensitiveLevelDTO) {
        AppAuthRespVO appAuthRespVO = new AppAuthRespVO();
        appAuthRespVO.setAppCode(appDataSensitiveLevelDTO.getCode());
        appAuthRespVO.setAppUrl(appDataSensitiveLevelDTO.getUrl());
        return appAuthRespVO;
    }

}
