package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 提交工作流工单Vo
 *
 * @author mazq
 * @date 2021/2/19
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "提交工作流申请信息Vo")
@Data
public class ServiceAuthFlowAcceptVo extends AuthFlowAcceptBaseVo {

    /**
     * 工单号
     */
    @ApiModelProperty(value = "申请单号")
    private String applicantId;


    @ApiModelProperty(value = "服务共享方式")
    private String fwgxfs;

    /**
     * 访问资源信息
     */
    @ApiModelProperty(value = "访问资源信息实体类")
    @Valid
    @NotNull
    private ResourceInfoVo resourceInfo;

    @ApiModelProperty(value = "下一任务对象信息")
    private List<ActivitiHolderVo> activitiHolderList;
}
