package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v1.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author yica
 * @Date 2021/3/10 15:22
 **/
@Data
public class ServiceAuthResultVo {


    @ApiModelProperty(value = "应用code", required = true)
    private String appCode;

    @ApiModelProperty(value = "应用appName", required = true)
    private String appName;

    @ApiModelProperty(value = "应用状态", required = true)
    private String appStatus;

    @ApiModelProperty(value = "服务code", required = true)
    private String serviceCode;

    @ApiModelProperty(value = "服务名称", required = true)
    private String serviceName;

    @ApiModelProperty(value = "服务状态", required = true)
    private String serviceStatus;

    @ApiModelProperty(value = "服务事权单位", required = true)
    private String serviceOrgName;

    @ApiModelProperty(value = "服务事权单位code", required = true)
    private String serviceOrgCode;

    @ApiModelProperty(value = "服务管理单位code", required = true)
    private String serviceManagerOrgCode;

    @ApiModelProperty(value = "服务管理单位", required = true)
    private String serviceManagerOrgName;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "授权时间", required = true)
    private Date privilegedTime;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "授权申请时间", required = true)
    private Date applyTime;

    @ApiModelProperty(value = "申请人名字")
    private String applicantName;

    @ApiModelProperty(value = "申请人身份证")
    private String applicantIdcard;

    @ApiModelProperty(value = "申请人电话")
    private String applicantPhoneNo;

    @ApiModelProperty(value = "申请人机构名称")
    private String applicantOrgName;

    @ApiModelProperty(value = "申请人机构Code")
    private String applicantOrgCode;

    @ApiModelProperty(value = "应用管理单位名称")
    private String appManagerOrgName;

    @ApiModelProperty(value = "应用管理单位code")
    private String appManagerOrgCode;

    @ApiModelProperty(value = "应用事权单位名称")
    private String appOrgName;

    @ApiModelProperty(value = "应用事权单位名称")
    private String appOrgCode;

    @ApiModelProperty(value = "服务授权状态")
    private String authStatus;

    @ApiModelProperty(value = "服务资源提供方  tj_service:数据资源目录  bu_service 部级服务资源")
    private String serviceResourceId;

    @ApiModelProperty(value = "服务共享方式 目前只用bu服务资源才有值")
    private String serviceSharedWay;

    @ApiModelProperty(value = "服务类型")
    private String serviceType;
}
