package com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v2.controller;

import com.dragoninfo.dcuc.auth.auth.dto.ServiceAuthResultDTO;
import com.dragoninfo.dcuc.auth.auth.facade.IServiceAuthResultFacade;
import com.dragoninfo.dcuc.authweb.restcontroller.api.authservice.v2.vo.AuthResultDelVO;
import com.dragoninfo.dcuc.authweb.util.VersionUtils;
import com.dragoninfo.dcuc.common.entity.ApiResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author yica
 * @Date 2021/2/24 19:11
 **/
@RestController
@Api(tags = {"权限管理对外开放接口"})
@RequestMapping(value = "/api/auth-service/" + VersionUtils.VERSION_UID + "/")
public class AuthServiceV2Controller {


    @Autowired
    private IServiceAuthResultFacade serviceAuthResultFacade;


    @ApiOperation(value = "服务授权撤销")
    @ApiImplicitParams({@ApiImplicitParam(paramType = "path", name = "appCode", value = "应用编码"),
            @ApiImplicitParam(paramType = "path", name = "serviceCode", value = "服务编码")
    })
    @PostMapping("service/del")
    public ApiResult delService(@RequestBody AuthResultDelVO authResultDelVO) {
        try {
            ServiceAuthResultDTO authDto = serviceAuthResultFacade.
                    getDetailByAppAndService(authResultDelVO.getAppCode(),authResultDelVO.getServiceCode());
            authDto.setReason(authResultDelVO.getReason());
            serviceAuthResultFacade.delServiceAuthResult(authDto);
            return ApiResult.setSuccess();
        } catch (Exception e) {
            e.printStackTrace();
            return ApiResult.setFailMessage("服务授权撤销失败");
        }
    }


}
