package com.dragoninfo.dcuc.authweb.restcontroller.api.securitypolicy;

import com.dragoninfo.dcuc.auth.api.vo.securitypolicy.req.AuthRiskOrderReqVo;
import com.dragoninfo.dcuc.auth.api.vo.zerotrust.ZeroTrustMessageRespVO;
import com.dragoninfo.dcuc.auth.securitypolicy.facade.IApiSecurityPolicyFacade;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *
 * </p>
 *
 * @author huangzqa
 * @date 2023/5/12
 */
@Api(tags = {"接收安全策略服务接口"})
@Slf4j
@RestController
@RequestMapping("/api/security-police/v1")
public class SecurityPolicyController {

    @Autowired
    private IApiSecurityPolicyFacade securityPolicyFacade;

    /**
     * 接收权限风险指令
     *
     * @param authRiskOrderReqVo 接收权限风险指令信息
     * @return 状态
     */
    @PostMapping("risk-order")
    public ZeroTrustMessageRespVO riskOrder(@RequestBody AuthRiskOrderReqVo authRiskOrderReqVo) {
        return securityPolicyFacade.riskOrder(authRiskOrderReqVo);
    }
}
