package com.dragoninfo.dcuc.authweb.restcontroller.app;

import com.dragoninfo.dcuc.app.facade.IDataResourceFacade;
import com.dragoninfo.dcuc.app.vo.DataClassifyVo;
import com.dragoninfo.dcuc.app.vo.DataFieldClassifyVo;
import com.dragoninfo.dcuc.app.vo.DataLevelVo;
import com.dragoninfo.dcuc.authweb.restcontroller.app.vo.AuthDataClassifyVo;
import com.dragoninfo.dcuc.authweb.restcontroller.app.vo.AuthDataFieldClassifyVo;
import com.dragoninfo.dcuc.authweb.restcontroller.app.vo.AuthDataLevelVo;
import com.dragoninfo.duceap.core.response.Result;
import com.google.common.collect.Lists;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: qiuyu
 * @Date: 2021/4/15 17:29
 * @Description:
 */
@Api(tags = {"数据资源分级分类表码管理"})
@RestController
@RequestMapping(value = "dataresourcesrv/v1")
public class DataResourceController {

    @Autowired
    private IDataResourceFacade dataResourceFacade;

    @ApiOperation(value = "数据分级表码列表")
    @GetMapping(value = "datalevels")
    public Result<List<AuthDataLevelVo>> getDataLevelList() {
        List<AuthDataLevelVo> result = Lists.newArrayList();
        for (DataLevelVo dataLevelVo : dataResourceFacade.getDataLevelList()) {
            AuthDataLevelVo authDataLevelVo = new AuthDataLevelVo();
            BeanUtils.copyProperties(dataLevelVo, authDataLevelVo);
            result.add(authDataLevelVo);
        }
        return Result.success(result);
    }

    @ApiOperation(value = "安全等级表码列表")
    @GetMapping(value = "securitylevels")
    Result<List<AuthDataLevelVo>> getSecurityLevelList() {
        List<AuthDataLevelVo> result = Lists.newArrayList();
        for (DataLevelVo dataLevelVo : dataResourceFacade.getSecurityLevelList()) {
            AuthDataLevelVo authDataLevelVo = new AuthDataLevelVo();
            BeanUtils.copyProperties(dataLevelVo, authDataLevelVo);
            result.add(authDataLevelVo);
        }
        return Result.success(result);
    }

    @ApiOperation(value = "数据资源分类表码列表")
    @GetMapping(value = "dataclassifys")
    Result<List<AuthDataClassifyVo>> getDataClassifyList() {
        List<AuthDataClassifyVo> result = Lists.newArrayList();
        for (DataClassifyVo dataClassifyVo : dataResourceFacade.getDataClassifyList()) {
            AuthDataClassifyVo authDataClassifyVo = new AuthDataClassifyVo();
            BeanUtils.copyProperties(dataClassifyVo, authDataClassifyVo);
            result.add(authDataClassifyVo);
        }
        return Result.success(result);
    }

    @ApiOperation(value = "字段分类表码列表")
    @GetMapping(value = "fieldclassifys")
    Result<List<AuthDataFieldClassifyVo>> getFieldClassifyList() {
        List<AuthDataFieldClassifyVo> result = Lists.newArrayList();
        for (DataFieldClassifyVo dataFieldClassifyVo : dataResourceFacade.getFieldClassifyList()) {
            AuthDataFieldClassifyVo authDataClassifyVo = new AuthDataFieldClassifyVo();
            BeanUtils.copyProperties(dataFieldClassifyVo, authDataClassifyVo);
            result.add(authDataClassifyVo);
        }
        return Result.success(result);
    }
}
