package com.dragoninfo.dcuc.authweb.restcontroller.app.vo;

import com.dragonsoft.duceap.base.entity.uploader.FileHolder;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;
import java.util.List;

/**
 * @author Fuzq
 * @date 2020/6/16
 */
@Data
@ApiModel(value = "应用vo")
public class AppVo {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "应用名称")
    private String applyName;

    @ApiModelProperty(value = "应用代码")
    private String applyCode;

    @ApiModelProperty(value = "应用类别")
    private String applyCategory;

    @ApiModelProperty(value = "所属业务警种")
    private String policeSpecies;

    @ApiModelProperty(value = "所属单位id")
    private String orgId;

    @ApiModelProperty(value = "所属单位代码")
    private String orgCode;

    @ApiModelProperty(value = "所属单位名称")
    private String orgName;

    @ApiModelProperty(value = "应用URL")
    private String applyUrl;

    @ApiModelProperty(value = "应用厂商id")
    private String manufacturerId;

    @ApiModelProperty(value = "应用厂商")
    private String manufacturerName;

    @ApiModelProperty(value = "应用状态 0:启用 1:禁用")
    private String applyStatus;

    @ApiModelProperty(value = "应用系统管理单位代码")
    private String managerOrgCode;

    @ApiModelProperty(value = "管理单位id")
    private String managerOrgId;

    @ApiModelProperty(value = "管理单位名称")
    private String managerOrgName;

    @ApiModelProperty(value = "应用管理员")
    private String managerName;

    @ApiModelProperty(value = "管理员联系电话")
    private String managerPhone;

    @ApiModelProperty(value = "应用描述")
    private String managerDescribe;

    @ApiModelProperty(value = "API_KEY")
    private String apiKey;

    @ApiModelProperty(value = "SECRET_KEY")
    private String secretKey;

    @ApiModelProperty(value = "应用负责人")
    private String fzr;

    @ApiModelProperty(value = "负责人电话")
    private String fzrPhone;

    @ApiModelProperty(value = "注册时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date registrationTime;

    @ApiModelProperty(value = "单位负责人")
    @Column(name = "JG_FZR")
    private String jgFzr;

    @ApiModelProperty(value = "单位负责人电话")
    @Column(name = "JG_FZR_PHONE")
    private String jgFzrPhone;

    @ApiModelProperty(value = "附件")
    private List<FileHolder> file;

    @ApiModelProperty(value = "应用系统运维单位名称")
    private String appOpsDepName;

    @ApiModelProperty(value = "应用英文名称")
    private String appEnglishName;

    @ApiModelProperty(value = "上线日期")
    private String lineTime;

}
