package com.dragoninfo.dcuc.authweb.restcontroller.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 应用服务资源获取参数封装类
 * @author mazq
 * @date 2020/11/26
 */
@Data
@ApiModel(value = "应用服务资源获取参数封装类")
public class ListingParam {

    /**
     * 资源枚举类ResourceTypeEnum 资源id 表示想要获取哪一类的资源
     */
    @ApiModelProperty(value = "资源枚举类ResourceTypeEnum 资源id 表示想要获取哪一类的资源")
    private String resourceId;

    /**
     * 想要获取该类资源哪些页码的数据
     */
    @ApiModelProperty(value = "想要获取该类资源的页码数集合")
    private List<Integer> pageNo;
}
