package com.dragoninfo.dcuc.authweb.restcontroller.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 获取资源数据请求数据封装对象
 * @author mazq
 * @date 2020/11/26
 */
@Data
@ApiModel(value = "获取资源数据请求数据封装对象")
public class ResourceRequestParam {

    /**
     * 是否获取全量应用和服务资源数据
     */
    @ApiModelProperty(value = "是否获取全量应用和服务资源数据")
    private Boolean listingAll;

    /**
     * 获取菜单资源是否同步获取 false 异步获取  true 同步获取  可为空,空默认false
     */
    @ApiModelProperty(value = "获取菜单资源是否同步获取 false 异步获取  true 同步获取  可为空,空默认false")
    private Boolean menuSync;

    /**
     * 不全量获取时,获取资源数据参数封装集合
     * 当listingAll为false时有用
     */
    @ApiModelProperty(value = "不全量获取时,获取资源数据参数封装集合,当listingAll为false时有用")
    private List<ListingParam> listingParams;

    /**
     * 获取每页的数量
     */
    @ApiModelProperty(value = "获取每页的数量")
    private Integer pageSize;

    /**
     * 全量获取时有用
     * 从currentPageNo页开始获取
     */
    @ApiModelProperty(value = "从currentPageNo页开始获取,当listingAll为true时有用,默认为1")
    private Integer currentPageNo;
}
