package com.dragoninfo.dcuc.authweb.restcontroller.app.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 资源获取结果
 * @author mazq
 * @date 2020/11/26
 */
@Data
@ApiModel(value = "资源获取结果")
public class ResourceRequestResult {

    /**
     * 资源枚举类ResourceTypeEnum 资源id
     */
    @ApiModelProperty(value = "资源枚举类资源id")
    private String resourceId;

    /**
     * 当获取失败时,失败的页码集合
     */
    @ApiModelProperty(value = "当获取失败时,失败的页码集合")
    private List<Integer> pageNos;

    /**
     * 总页码数量
     */
    @ApiModelProperty(value = "总页码数量")
    private Integer totalPages;

    /**
     * 是否获取成功
     */
    @ApiModelProperty(value = "是否获取成功")
    private String success;

    public ResourceRequestResult() {
    }

    public ResourceRequestResult(String resourceId, List<Integer> pageNos) {
        this.resourceId = resourceId;
        this.pageNos = pageNos;
    }

}
