package com.dragoninfo.dcuc.authweb.restcontroller.app.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 工作流工单展示vo
 * @author mazq
 * @Description
 * @create 2020-11-25 14:21
 */
@Data
@ApiModel(value = "服务授权工单vo")
public class ServiceAuthFlowVo {

    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 申请人身份证号
     */
    @ApiModelProperty(value = "申请人身份证号")
    private String applicantIdcard;

    /**
     * 申请人姓名
     */
    @ApiModelProperty(value = "申请人姓名")
    private String applicantName;

    /**
     * 申请机构code
     */
    @ApiModelProperty(value = "申请机构code")
    private String applicantOrgCode;

    /**
     * 申请机构名称
     */
    @ApiModelProperty(value = "申请机构名称")
    private String applicantOrgName;
    /**
     * 应用代码
     */
    @ApiModelProperty(value = "应用代码")
    private String appCode;

    /**
     * 应用名称
     */
    @ApiModelProperty(value = "应用名称")
    private String appName;
    /**
     * 申请单类型
     * SERVICE_AUTH-服务授权工作单 SERVICE_CANCEL-服务权限撤销工作单
     */
    @ApiModelProperty(value = "申请单类型,SERVICE_AUTH-服务授权工作单 SERVICE_CANCEL-服务权限撤销工作单")
    private String flowType;

    /**
     * 工作流状态
     * 根据审批服务工作流状态确定
     */
    @ApiModelProperty(value = "工作流状态")
    private String flowStatus;

    /**
     * 工作流id
     */
    @ApiModelProperty(value = "工作流id")
    private String flowId;

    /**
     * 需要操作的服务编码集合
     */
    @ApiModelProperty(value = "服务编码集合")
    private List<String> serviceCodes;

    /**
     * 服务资源名称集合
     */
    @ApiModelProperty(value = "服务名称集合")
    private List<String> serviceNames;

    /**
     * 申请时间
     */
    @ApiModelProperty(value = "id")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applyTime;

    /**
     * 申请时间
     */
    @ApiModelProperty(value = "id")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 申请时间
     */
    @ApiModelProperty(value = "id")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
}
