//package com.dragoninfo.dcuc.authweb.restcontroller.audit;
//
//import cn.hutool.core.bean.BeanUtil;
//import com.alibaba.fastjson.JSON;
//import com.alibaba.fastjson.JSONObject;
//import com.alibaba.fastjson.TypeReference;
//import com.dragoninfo.dcuc.auth.auth.entity.OrgQuotaAuthLog;
//import com.dragoninfo.dcuc.auth.auth.entity.RoleInfo;
//import com.dragoninfo.dcuc.auth.auth.entity.StaffAssignAuthLog;
//import com.dragoninfo.dcuc.auth.auth.enumresources.LogTypeEnum;
//import com.dragoninfo.dcuc.auth.auth.facade.IOrgQuotaAuthLogFacade;
//import com.dragoninfo.dcuc.auth.auth.facade.IRoleInfoFacade;
//import com.dragoninfo.dcuc.auth.auth.facade.IStaffAssignAuthInfoLogFacade;
//import com.dragoninfo.dcuc.auth.sub.dto.AuthUserDTO;
//import com.dragoninfo.dcuc.auth.sub.facade.IAuthOrgInfoFacade;
//import com.dragoninfo.dcuc.auth.sub.facade.IAuthUserInfoFacade;
//import com.dragoninfo.dcuc.authweb.restcontroller.audit.vo.AuthAuditDetailVo;
//import com.dragoninfo.dcuc.authweb.restcontroller.audit.vo.AuthOperateVo;
//import com.dragoninfo.dcuc.authweb.restcontroller.audit.vo.RoleInfoVo;
//import com.dragoninfo.duceap.core.response.Result;
//import com.dragonsoft.duceap.base.entity.search.SearchDTO;
//import com.dragonsoft.duceap.core.search.Searchable;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiImplicitParams;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.beans.BeanUtils;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.domain.Page;
//import org.springframework.http.MediaType;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.*;
//
//
//@Api(tags = {"人员授权审计接口"})
//@RestController
//@RequestMapping(value = "/auditsvr/auth")
//public class AuthAuditController {
//    @Autowired
//    IStaffAssignAuthInfoLogFacade staffAssignAuthInfoLogFacade;
//
//    @Autowired
//    IRoleInfoFacade roleInfoFacade;
//
//    @Autowired
//    IAuthUserInfoFacade userInfoFacade;
//
//    @Autowired
//    IAuthOrgInfoFacade authOrgInfoFacade;
//
//    @Autowired
//    IOrgQuotaAuthLogFacade orgQuotaAuthLogFacade;
//
//
//    @ApiOperation(value = "获取动态授权信息列表")
//    @ApiImplicitParam(name = "searchDTO", value = "查询条件,userId_eq和appId_eq不能为空")
//    @PostMapping(value = "/roleList/_search", produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
//    public Result<List<RoleInfoVo>> roleListByUserIdAndAppId(SearchDTO searchDTO) {
//        Page<RoleInfo> pageInfo = staffAssignAuthInfoLogFacade.roleListByUserIdAndAppId(searchDTO);
//        List<RoleInfo> content = pageInfo.getContent();
//        List<RoleInfoVo> vos = new ArrayList<>();
//        for (RoleInfo roleInfo : content) {
//            RoleInfoVo vo = new RoleInfoVo();
//            BeanUtils.copyProperties(roleInfo, vo);
//            vos.add(vo);
//        }
//        return Result.success(pageInfo.getTotalElements(), vos);
//    }
//
//    @ApiOperation(value = "人员角色授权情况信息")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "userId", value = "人员id"),
//            @ApiImplicitParam(name = "roleId", value = "角色id"),
//            @ApiImplicitParam(name = "orgId", value = "机构id")
//    })
//    @GetMapping(value = "/detail")
//    public Result<AuthAuditDetailVo> auditInfoPage(@RequestParam("userId") String userId,
//                                                   @RequestParam("roleId") String roleId,
//                                                   @RequestParam("orgId") String orgId) {
//        List<Map<String, Object>> result = new ArrayList<>();
//        RoleInfo roleInfo = roleInfoFacade.get(roleId);
//        Map<String, Object> roleMap = BeanUtil.beanToMap(roleInfo);
//        roleMap.put("auditType", "role");//日志类型:角色创建
//        roleMap.put("createTime", roleInfo.getCreateTime());
//        result.add(roleMap);
//        this.getAuthListMap(roleId, result);//日志类型:角色权限分配
//        this.getUserAuthLogMaps(userId, roleId, result);//日志类型:人员授权
//        this.getOrgQutoLogMaps(roleId, orgId, result);//日志类型:机构配额设置
//        result.sort((o1, o2) -> {
//            Date time1 = (Date) o1.get("createTime");//name1是从你list里面拿出来的一个
//            Date time2 = (Date) o2.get("createTime"); //name1是从你list里面拿出来的第二个name
//            return time2.compareTo(time1);
//        });
//        AuthUserDTO userInfo = userInfoFacade.get(roleInfo.getCreator());
//        RoleInfoVo roleInfoVo = new RoleInfoVo();
//        BeanUtils.copyProperties(roleInfo, roleInfoVo);
//        AuthAuditDetailVo detailVo = new AuthAuditDetailVo();
//        detailVo.setCreateYear(Calendar.getInstance().get(Calendar.YEAR));
//        detailVo.setResult(result);
//        detailVo.setRoleCreatorName(userInfo.getName());
//        detailVo.setRoleCreatorOrg(userInfo.getOrgName());
//        detailVo.setRoleInfoVo(roleInfoVo);
//        return Result.success(detailVo);
//    }
//
//    private List<Map<String, Object>> getAuthListMap(String roleId, List<Map<String, Object>> resule) {
//        List<Map<String, Object>> roleAuthList = roleInfoFacade.getRoleAuthList(roleId);
//        Map<String, Object> authListMap = new HashMap<>();
//        StringBuilder names = new StringBuilder();
//        for (Map<String, Object> map : roleAuthList) {
//            names.append(map.get("NAME").toString()).append(",");
//
//        }
//        if (names.length() > 0) {
//            authListMap.put("name", names.subSequence(0, names.length() - 1));
//            Long createtime = (Long) roleAuthList.get(0).get("CREATETIME");
//            authListMap.put("createTime", new Date(createtime));
//            authListMap.put("createUser", roleAuthList.get(0).get("CREATEUSER"));
//            if (null != roleAuthList.get(0).get("CREATEUSER")) {
//                AuthUserDTO userInfo = userInfoFacade.get(roleAuthList.get(0).get("CREATEUSER").toString());
//                authListMap.put("createUserName", userInfo.getName());
//                authListMap.put("createUserOrg", userInfo.getOrgName());
//            }
//
//            authListMap.put("auditType", "roleAuthList");//日志类型:角色权限分配
//            resule.add(authListMap);
//        }
//        return resule;
//    }
//
//    private List<Map<String, Object>> getUserAuthLogMaps(String userId, String roleId, List<Map<String, Object>> resule) {
//        List<StaffAssignAuthLog> staffAssignAuthLogs = staffAssignAuthInfoLogFacade.staffAssignAuthLogList(userId, roleId);
//        for (StaffAssignAuthLog staffAssignAuthLog : staffAssignAuthLogs) {
//            Map<String, Object> logMap = new HashMap<>();
//            AuthUserDTO managerInfo = userInfoFacade.get(staffAssignAuthLog.getManagerId());
//            String managerName = managerInfo.getName();
//            String managerOrg = managerInfo.getOrgName();
//            logMap.put("managerName", managerName);
//            logMap.put("managerOrg", managerOrg);
//            logMap.put("status", staffAssignAuthLog.getStatus());
//            logMap.put("changeContent", staffAssignAuthLog.getChangeContent());
//            logMap.put("createTime", staffAssignAuthLog.getCreateTime());
//            //日志类型:人员授权
//            logMap.put("auditType", "logMaps");
//            resule.add(logMap);
//        }
//        return resule;
//    }
//
//    private List<Map<String, Object>> getOrgQutoLogMaps(String roleId, String orgId, List<Map<String, Object>> resule) {
//        List<OrgQuotaAuthLog> orgQuotaAuthLogs = orgQuotaAuthLogFacade.orgQutoAuthLogList(orgId, roleId);
//        for (OrgQuotaAuthLog orgQuotaAuthLog : orgQuotaAuthLogs) {
//            Map<String, Object> logMap = new HashMap<>();
//            AuthUserDTO managerInfo = userInfoFacade.get(orgQuotaAuthLog.getManagerId());
//            String managerName = managerInfo.getName();
//            String managerOrg = managerInfo.getOrgName();
//            if (null != authOrgInfoFacade.get(orgQuotaAuthLog.getTargetOrgId())) {
//                logMap.put("targetOrgName", authOrgInfoFacade.get(orgQuotaAuthLog.getTargetOrgId()).getFullName());
//            } else {
//                logMap.put("targetOrgName", "机构已删除");
//            }
//            logMap.put("managerName", managerName);
//            logMap.put("managerOrg", managerOrg);
//            logMap.put("status", orgQuotaAuthLog.getStatus());
//            logMap.put("createTime", orgQuotaAuthLog.getCreateTime());
//            logMap.put("number", orgQuotaAuthLog.getNumbers());
//            //日志类型:机构配额设置
//            logMap.put("auditType", "orgQutoLogMaps");
//            resule.add(logMap);
//        }
//        return resule;
//    }
//
//
//    @ApiOperation(value = "权限操作记录列表")
//    @ApiImplicitParam(name = "searchDTO", value = "查询条件,createUser_eq,logType_eq不能为空")
//    @PostMapping(value = "/operateList/_search", produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
//    public Result<List<AuthOperateVo>> operateList(SearchDTO searchDTO) {
//        Page<Map<String, String>> logList = null;
//        Searchable searchable = Searchable.toSearchable(searchDTO);
//        String logType = searchable.getSearchFilterByKey("logType_eq").getValue().toString();
//        searchable.removeSearchFilter("logType_eq");
//        if (LogTypeEnum.JSSQ.getValue().equals(logType)) {
//            logList = roleInfoFacade.operateList(searchDTO);
//        } else if (LogTypeEnum.JGSQ.getValue().equals(logType)) {
//            logList = orgQuotaAuthLogFacade.operateList(searchDTO);
//        } else if (LogTypeEnum.RYSQ.getValue().equals(logType)) {
//            logList = staffAssignAuthInfoLogFacade.operateList(searchDTO);
//        }
//        //TODO
//        //DTO待设计返回值暂时用json转换成VO
//        List<Map<String, String>> content = logList.getContent();
//        String contentStr = JSON.toJSONString(content);
//        List<AuthOperateVo> authOperateVos = JSONObject.parseObject(contentStr, new TypeReference<List<AuthOperateVo>>() {
//        });
//        return Result.success(logList.getTotalElements(), authOperateVos);
//    }
//
//}
