package com.dragoninfo.dcuc.authweb.restcontroller.audit.v2;

import com.dragoninfo.dcuc.auth.audit.facade.IRiskLogFacade;
import com.dragoninfo.dcuc.auth.audit.vo.RiskLogVo;
import com.dragoninfo.duceap.core.response.Result;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author: qiuyu
 * @Date: 2021/5/25 14:31
 * @Description:
 */
@Api(tags = {"鉴权风险日志"})
@RestController
@RequestMapping(value = "auditsvr/v2/riskLog")
public class RiskLogController {

    public static Logger logger = LoggerFactory.getLogger(RiskLogController.class);

    @Autowired
    private IRiskLogFacade riskLogFacade;

    @ApiOperation(value = "日志列表")
    @ApiImplicitParam(name = "searchDTO", value = "查询条件")
    @PostMapping(value = "_search")
    public Result<List<RiskLogVo>> paging(SearchDTO searchDTO) {
        Page<RiskLogVo> page = riskLogFacade.paging(searchDTO);
        return Result.success(page.getTotalElements(), page.getContent());
    }

    @ApiOperation(value = "日志详情")
    @ApiImplicitParam(name = "id", value = "方案id")
    @GetMapping(value = "/{id}")
    public Result<RiskLogVo> findOne(@PathVariable(value = "id") Long id) {
        return Result.success(riskLogFacade.findOne(id));
    }
}
