package com.dragoninfo.dcuc.authweb.restcontroller.audit.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "管理员审计报表Vo")
@Data
public class MgeLogVo {
    @ApiModelProperty(value = "id")
    private String id;

    //管理员ID
    @ApiModelProperty(value = "管理员ID")
    private String mgeId;

    //操作业务类型 10：新增管理员   11：取消管理员    20：新增平台菜单权限   21：取消平台菜单权限    30：新增管理机构权限   31：取消管理机构权限   40：新增管理人员权限   41：取消管理人员权限
    //50: 新增管理授权权限 51: 取消管理授权权限	  60: 新增管理管理员权限 61: 取消管理管理员权限
    @ApiModelProperty(value = "操作业务类型",notes = "10：新增管理员   11：取消管理员    20：新增平台菜单权限   21：取消平台菜单权限    30：新增管理机构权限   31：取消管理机构权限   40：新增管理人员权限   41：取消管理人员权限 50: 新增管理授权权限 51: 取消管理授权权限  60: 新增管理管理员权限 61: 取消管理管理员权限")
    private String operateType;

    //被操作对象类型 10：管理员      20：平台菜单   30：机构管理   40：人员管理 50:授权管理 60:管理员管理
    @ApiModelProperty(value = "被操作对象类型",notes = "10：管理员      20：平台菜单   30：机构管理   40：人员管理 50:授权管理 60:管理员管理")
    private String objectType;

    //被操作对象ID
    @ApiModelProperty(value = "被操作对象ID")
    private String objectId;

    //被操作对象名称
    @ApiModelProperty(value = "被操作对象名称")
    private String objectName;

    //操作人ID
    @ApiModelProperty(value = "操作人ID")
    private String operateUserId;

    //操作人名称
    @ApiModelProperty(value = "操作人名称")
    private String operateUserName;

    //操作人所属机构ID
    @ApiModelProperty(value = "操作人所属机构ID")
    private String operateOrgId;

    //操作人所属机构名称
    @ApiModelProperty(value = "操作人所属机构名称")
    private String operateOrgName;

    //创建时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date operateTime;

}
