package com.dragoninfo.dcuc.authweb.restcontroller.audit.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@ApiModel(value = "角色信息Vo")
@Data
public class RoleInfoVo {

    //编号
    @ApiModelProperty(value = "id")
    private String id;

    //角色代码
    @ApiModelProperty(value = "角色代码")
    private String code;

    //角色名称
    @ApiModelProperty(value = "角色名称")
    private String name;

    //应用ID
    @ApiModelProperty(value = "应用ID")
    private String appId;

    //详细描述
    @ApiModelProperty(value = "详细描述")
    private String detail;

    //角色层级:省厅、市局、分局、派出所
    @ApiModelProperty(value = "角色层级")
    private String roleLevel;

    //初始配额人数
    @ApiModelProperty(value = "初始配额人数")
    private Integer initNumber;

    //有效标志(0：无效 1：有效)
    @ApiModelProperty(value = "有效标志")
    private String isActive;

    //创建时间
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyyMMdd", timezone = "GMT+8")
    private java.util.Date createTime;

    //创建人
    @ApiModelProperty(value = "创建人")
    private String creator;

    //修改时间
    @ApiModelProperty(value = "修改时间")
    @JsonFormat(pattern = "yyyyMMdd", timezone = "GMT+8")
    private java.util.Date modifiedTime;

    //修改人
    @ApiModelProperty(value = "修改人")
    private String modifier;

    //业务域
    @ApiModelProperty(value = "业务域")
    private String roleBusiness;

    //警种
    @ApiModelProperty(value = "警种")
    private String policeCategory;

    //是否限制配额
    @ApiModelProperty(value = "是否限制配额")
    private String isNotLimitCount;

    //备注
    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "角色类型")
    private String roleType;

    @ApiModelProperty(value = "人脸认证标识")
    private String faceVerifyFlag;
}