package com.dragoninfo.dcuc.authweb.restcontroller.resource;


import com.dragoninfo.dcuc.duceap.facade.ICodeListResourceFacade;
import com.dragoninfo.dcuc.duceap.facade.ICodeTreeResourceFacade;
import com.dragonsoft.duceap.base.entity.metadata.CodeRecord;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping(value = "/duceap/v2/resource")
public class DuceapCodeController {

    @Autowired
    private ICodeListResourceFacade codeListResourceFacade;

    @Autowired
    private ICodeTreeResourceFacade iCodeTreeResourceFacade;

    @GetMapping(value = "/codelist/{resourceType}/{codeName}")
    public List<CodeRecord> listCode(@PathVariable("resourceType") String resourceType, @PathVariable("codeName") String codeName) {
        return codeListResourceFacade.listCode(resourceType, codeName);
    }

    @GetMapping(value = "/codelist/{resourceType}")
    Map<String, ArrayList<CodeRecord>> listCodes(@PathVariable("resourceType") String resourceType, @RequestParam("codeNames") String codeNames) {
        return codeListResourceFacade.listCodes(resourceType, codeNames);
    }


    @GetMapping(value = "/tree/{resourceType}/{codeName}")
    public List<Map<String, Object>> treeCode(@PathVariable("resourceType") String resourceType, @PathVariable("codeName") String codeName) {
        return iCodeTreeResourceFacade.listTreeCode(resourceType, codeName);
    }

    @GetMapping(value = "/tree/{resourceType}/{codeName}/{pid}")
    List<Map<String, Object>> listTreeCodeByPid(@PathVariable("resourceType") String resourceType, @PathVariable("codeName") String codeName, @PathVariable("pid") String pid) {
        return iCodeTreeResourceFacade.listTreeCodeByPid(resourceType, codeName, pid);
    }


}
