package com.dragoninfo.dcuc.authweb.restcontroller.resource;

import com.dragoninfo.dcuc.duceap.facade.IFileUploadFacade;
import com.dragonsoft.duceap.base.entity.uploader.FileHolder;
import feign.Response;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.apache.commons.io.IOUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

@RestController
@RequestMapping(value = "/duceap/v2/upload")
public class DuceapUploadController {

    private Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private IFileUploadFacade iFileUploadFacade;

    @PostMapping(value = "/file")
    public FileHolder upload(@RequestParam("file") MultipartFile file) {
        FileHolder upload = iFileUploadFacade.upload(file);
        upload.setUrl("/duceap/v2/upload/view/" + upload.getId());
        return upload;
    }

    @ApiImplicitParams({@ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true
            , example = "40288a8b699fc2500169a33b20540000")})
    @GetMapping(value = "/view/{id}")
    public void view(@PathVariable("id") String id, HttpServletResponse response) {
        Response view = iFileUploadFacade.view(id);
        Response.Body body = view.body();
        OutputStream outputStream = null;
        InputStream fileInputStream = null;
        try {
            outputStream = response.getOutputStream();
            fileInputStream = body.asInputStream();
            IOUtils.copy(fileInputStream, outputStream);
        } catch (IOException e) {
            logger.error("view file error:{}", e);
        } finally {
            IOUtils.closeQuietly(outputStream, fileInputStream);
        }
    }

//    @Autowired
//    private IDuceapUploadFacade iDuceapUploadFacade;
    //接口测试
//    @GetMapping(value = "/view1")
//    public FileHolder upload1(@RequestParam("id") String id) {
//        FileHolder byId = iDuceapUploadFacade.getById(id);
//        return byId;
//    }
//
//    @PostMapping(value = "/file1")
//    public String upload2(@RequestParam("file") MultipartFile file) throws IOException {
//        String s = Base64.getEncoder().encodeToString(file.getBytes());
//        System.out.println(s);
//        FileUploadDTO fileUploadDTO = new FileUploadDTO();
//        fileUploadDTO.setBase64(s);
//        FileHolder fileHolder = iDuceapUploadFacade.uploadBase64(fileUploadDTO);
//       return fileHolder.getId();
//    }
//
//    @GetMapping(value = "/view2")
//    public String view2(@RequestParam("id") String id) throws IOException {
//        DocContentDTO fileContent = iDuceapUploadFacade.getFileContent(id);
//        byte[] fileData = fileContent.getFileData();
//        String s = Base64.getEncoder().encodeToString(fileData);
//        System.out.println(s);
//        return s;
//    }
//
//
//    @PostMapping(value = "/addfile")
//    public String addfile(@RequestParam("file") MultipartFile file) {
//        FileHolder fileHolder = iDuceapUploadFacade.addFile(file);
//        FileHolder[] fileHolders = new FileHolder[]{fileHolder};
//        String busid = UUID.randomUUID().toString();
//        FileUploadDTO fileUploadDTO = new FileUploadDTO(busid, "", fileHolders);
//        iDuceapUploadFacade.saveOrUpdate(fileUploadDTO);
//        return busid;
//    }
//
//    @GetMapping(value = "/getByBusId")
//    public List<FileHolder> getByBusiId(@RequestParam("id") String id){
//        List<FileHolder> fileHolders = iDuceapUploadFacade.queryByBusiId(id, "");
//        return fileHolders;
//    }
}
