package com.dragoninfo.dcuc.authweb.restcontroller.selfauth.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author mazq
 * @date 2021/7/14
 */
@ApiModel("应用功能工单更新操作Vo")
@Data
public class AppFunApplyUpdateVo {

    @ApiModelProperty(value = "工作流审批单号")
    private String applyOrdNo;

    @ApiModelProperty(value = "工单id")
    private String id;

    @ApiModelProperty(value = "审批内容")
    private String flowContent;

    @ApiModelProperty(value = "申请理由")
    private String applyReason;

    @ApiModelProperty(value = "申请人联系方式")
    private String applicantPhoneNo;

    @ApiModelProperty(value = "权限有效起始时间（2020-01-01 00:00:00）")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @ApiModelProperty(value = "权限有效终止时间（2020-01-01 00:00:00）")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    @ApiModelProperty(value = "权限有效类型 01：自定义 | 02：长期")
    private String permissionValidType;

    @ApiModelProperty(value = "操作类型 1：保存  2：提交")
    private String operateType;

    @ApiModelProperty(value = "修改后需要申请的应用菜单和功能集合")
    private List<AppFunAuthResourceVo> resourceInfos;

    @ApiModelProperty(value = "修改后需要撤销的应用菜单和功能集合")
    private List<AppFunAuthResourceVo> delResourceInfos;

}
