package com.dragoninfo.dcuc.authweb.restcontroller.selfauth.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author mazq
 * @date 2021/7/9
 */
@ApiModel(value = "应用功能授权结果Vo")
@Data
public class AppFunAuthResultVo {

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "人员id")
    private String userId ;

    @ApiModelProperty(value = "应用id")
    private String appId ;

    @ApiModelProperty(value = "应用code")
    private String appCode ;

    @ApiModelProperty(value = "功能id")
    private String funId ;

    @ApiModelProperty(value = "功能code")
    private String funCode ;

    @ApiModelProperty(value = "权限开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startTime ;

    @ApiModelProperty(value = "权限结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime ;

    @ApiModelProperty(value = "权限起停用状态")
    private String authStatus ;

    @ApiModelProperty(value = "权限结果来源")
    private String authSource ;

    @ApiModelProperty(value = "来源对象标识")
    private String sourceId ;

}
