package com.dragoninfo.dcuc.authweb.restcontroller.selfauth.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author mazq
 * @date 2021/7/14
 */
@ApiModel(value = "权限申请工单列表Vo")
@Data
public class WorkFlowPageViewVo {

    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "审批单标题")
    private String flowTitle;

    @ApiModelProperty(value = "审批类型")
    private String applyType;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "当前节点")
    private String taskName;

    @ApiModelProperty(value = "未操作者")
    private String dealOperator;

    @ApiModelProperty(value = "流程审批单号")
    private String applyOrdNo;

    @ApiModelProperty(value = "是否可撤回")
    private Boolean showRecall;

    @ApiModelProperty(value = "是否可退回")
    private Boolean showBack;

    @ApiModelProperty(value = "是否可编辑")
    private Boolean showEdit;

    @ApiModelProperty(value = "是否可挂起")
    private Boolean showSuspend;

    @ApiModelProperty(value = "是否可激活")
    private Boolean showActivate;

    @ApiModelProperty(value = "是否可终止")
    private Boolean showStop;

    /**
     * 流程状态
     * todo： 临时用，需修改
     */
    @ApiModelProperty(value = "流程状态")
    private String flowStatus;

}
