package com.dragoninfo.dcuc.authweb.restcontroller.selfauth.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author mazq
 * @date 2021/7/8
 */
@ApiModel(value = "权限申请工作流Vo")
@Data
public class WorkFlowVo {

    @ApiModelProperty(value = "主键id")
    private String id;

    @ApiModelProperty(value = "审批单编号（申请单号）")
    private String applicantOrdNo;

    @ApiModelProperty(value = "申请人身份证号")
    private String applicantIdcard;

    @ApiModelProperty(value = "申请人姓名")
    private String applicantName;

    @ApiModelProperty(value = "申请人联系方式")
    private String applicantPhoneNo;

    @ApiModelProperty(value = "申请人单位编码")
    private String applicantOrgCode;

    @ApiModelProperty(value = "申请人单位名称")
    private String applicantOrgName;

    @ApiModelProperty(value = "申请单来源平台")
    private String applySource;

    @ApiModelProperty(value = "申请单来源应用code")
    private String applyAppCode;

    @ApiModelProperty(value = "权限申请单类型 对应类型：服务授权 功能授权  数据授权")
    private String applyType;

    @ApiModelProperty(value = "流程标识businessCode")
    private String businessCode;

    @ApiModelProperty(value = "流程类型processType")
    private String processType;

    @ApiModelProperty(value = "工作流标题")
    private String flowTitle;

    @ApiModelProperty(value = "审批内容")
    private String flowContent;

    @ApiModelProperty(value = "申请理由")
    private String applyReason;

    @ApiModelProperty(value = "流程名称，审批中心提供,与businessCode对应取值")
    private String processName;

    @ApiModelProperty(value = "权限有效起始时间（2020-01-01 00:00:00）")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @ApiModelProperty(value = "权限有效终止时间（2020-01-01 23:59:59）")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "权限有效类型 01：自定义 | 02：长期")
    private String permissionValidType;

    @ApiModelProperty(value = "操作类型 1：保存  2：提交")
    private String operateType;



}
