package com.dragoninfo.dcuc.authweb.restcontroller.statistics;

import com.dragoninfo.dcuc.auth.statistics.IStatisticsFacade;
import com.dragoninfo.dcuc.auth.statistics.ObjStatisticsVo;
import com.dragoninfo.dcuc.auth.statistics.StatisticsReqVo;
import com.dragoninfo.dcuc.auth.statistics.SubStatisticsVo;
import com.dragoninfo.duceap.core.response.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author mazq
 * @date 2023/6/7
 */
@Api(tags = "主客体统计")
@RestController
@RequestMapping("/statistics/v2/")
public class StatisticsController {

    @Autowired
    private IStatisticsFacade statisticsFacade;

    @ApiOperation(value = "主体统计")
    @PostMapping("sub-statistics")
    public Result<SubStatisticsVo> subStatistics(@RequestBody StatisticsReqVo reqVo) {
        SubStatisticsVo subStatisticsVo = statisticsFacade.subStatistics(reqVo);
        return Result.success(subStatisticsVo);
    }

    @ApiOperation(value = "客体统计")
    @PostMapping("obj-statistics")
    public Result<ObjStatisticsVo> objStatistics(@RequestBody StatisticsReqVo reqVo) {
        ObjStatisticsVo objStatisticsVo = statisticsFacade.objStatistics(reqVo);
        return Result.success(objStatisticsVo);
    }

}
