package com.dragoninfo.dcuc.authweb.restcontroller.sub;

import com.dragoninfo.dcuc.app.facade.sub.IAppDataItemInfoFacade;
import com.dragoninfo.dcuc.app.vo.AppDataItemPageVo;
import com.dragoninfo.duceap.core.response.Result;
import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
import com.dragonsoft.duceap.base.entity.search.SearchDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazq
 * @date 2023/6/28
 */
@Api(tags = "数据项管理")
@RestController
@RequestMapping("/app-data-item/v2/")
public class AppDataItemInfoController {

    @Autowired
    private IAppDataItemInfoFacade appDataItemInfoFacade;

    @ApiOperation(value = "数据项分页查询")
    @PostMapping("/page")
    public Result<List<AppDataItemPageVo>> pageSearch(SearchDTO searchDTO) {
        Page<AppDataItemPageVo> pageVos = appDataItemInfoFacade.pageSearch(searchDTO);
        return Result.success(pageVos.getTotalElements(), pageVos.getContent());
    }

    @ApiOperation(value = "删除资源")
    @DeleteMapping("/{id}")
    public Result<Object> deleteById(@PathVariable("id") String id) {
        ResponseStatus responseStatus = appDataItemInfoFacade.deleteById(id);
        return getResult(responseStatus);
    }

    private Result<Object> getResult(ResponseStatus responseStatus) {
        Result<Object> result = new Result<>();
        result.setMsg(responseStatus.getMessage());
        result.setResult(responseStatus.getStatusCode());
        return result;
    }

}
