package com.dragoninfo.dcuc.authweb.util;

import com.dragoninfo.dcuc.authweb.annotation.RequiredField;
import org.apache.commons.lang.StringUtils;

import java.lang.reflect.Field;
import java.lang.reflect.Method;

/**
 * @author Administrator
 * @date 2019/6/27
 */
public class AnnotationUtils {
    public static <T> String checkFields(T entity) throws Exception {
        StringBuilder sb = new StringBuilder();
        String returnStr = "";
        Class<?> clazz = entity.getClass();
        Field[] fields = clazz.getDeclaredFields();
        for (Field field : fields) {
            String fieldName = field.getName();
            String getMethod = "get" + fieldName.substring(0, 1).toUpperCase() + fieldName.substring(1);
            Method method = clazz.getMethod(getMethod);
            Object object = method.invoke(entity);
            if (field.isAnnotationPresent(RequiredField.class)) {
                if (object instanceof String) {
                    if (StringUtils.isBlank((String) object)) {
                        sb.append("必填参数:'").append(fieldName).append("'为空,");
                    }
                } else if (object == null) {
                    sb.append("必填参数:'").append(fieldName).append("'为空,");
                }
            }
        }
        if (sb.length() > 0) {
            returnStr = sb.substring(0, sb.length() - 1);
        }
        return returnStr;
    }
}
